const path = require('path');
const { getDefaultConfig } = require('expo/metro-config');

// Получаем конфигурацию по умолчанию от Expo
const defaultConfig = getDefaultConfig(__dirname);

// Ваши настройки
const customConfig = {
    resolver: {
        extraNodeModules: new Proxy({}, {
            get: (target, name) => path.join(process.cwd(), `src/${name}`)
        }),
    },
    watchFolders: [
        path.resolve(__dirname, 'src')
    ],
};

// Объединяем два конфига
module.exports = {
    ...defaultConfig,
    resolver: {
        ...defaultConfig.resolver,
        ...customConfig.resolver
    },
    watchFolders: [
        ...defaultConfig.watchFolders,
        ...customConfig.watchFolders
    ]
};
